package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * ProviderProfileEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ProviderProfileEntity   {
  @JsonProperty("profileId")
  private String profileId;

  @JsonProperty("omadacId")
  private String omadacId;

  @JsonProperty("siteId")
  private String siteId;

  @JsonProperty("profileName")
  private String profileName;

  @JsonProperty("providerSettings")
  private ProviderSettingVo providerSettings;

  public ProviderProfileEntity profileId(String profileId) {
    this.profileId = profileId;
    return this;
  }

  /**
   * Provider profile ID
   * @return profileId
  */
  @ApiModelProperty(value = "Provider profile ID")


  public String getProfileId() {
    return profileId;
  }

  public void setProfileId(String profileId) {
    this.profileId = profileId;
  }

  public ProviderProfileEntity omadacId(String omadacId) {
    this.omadacId = omadacId;
    return this;
  }

  /**
   * Omadac ID
   * @return omadacId
  */
  @ApiModelProperty(value = "Omadac ID")


  public String getOmadacId() {
    return omadacId;
  }

  public void setOmadacId(String omadacId) {
    this.omadacId = omadacId;
  }

  public ProviderProfileEntity siteId(String siteId) {
    this.siteId = siteId;
    return this;
  }

  /**
   * Site ID
   * @return siteId
  */
  @ApiModelProperty(value = "Site ID")


  public String getSiteId() {
    return siteId;
  }

  public void setSiteId(String siteId) {
    this.siteId = siteId;
  }

  public ProviderProfileEntity profileName(String profileName) {
    this.profileName = profileName;
    return this;
  }

  /**
   * Provider profile name
   * @return profileName
  */
  @ApiModelProperty(value = "Provider profile name")


  public String getProfileName() {
    return profileName;
  }

  public void setProfileName(String profileName) {
    this.profileName = profileName;
  }

  public ProviderProfileEntity providerSettings(ProviderSettingVo providerSettings) {
    this.providerSettings = providerSettings;
    return this;
  }

  /**
   * Get providerSettings
   * @return providerSettings
  */
  @ApiModelProperty(value = "")

  @Valid

  public ProviderSettingVo getProviderSettings() {
    return providerSettings;
  }

  public void setProviderSettings(ProviderSettingVo providerSettings) {
    this.providerSettings = providerSettings;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ProviderProfileEntity providerProfileEntity = (ProviderProfileEntity) o;
    return Objects.equals(this.profileId, providerProfileEntity.profileId) &&
        Objects.equals(this.omadacId, providerProfileEntity.omadacId) &&
        Objects.equals(this.siteId, providerProfileEntity.siteId) &&
        Objects.equals(this.profileName, providerProfileEntity.profileName) &&
        Objects.equals(this.providerSettings, providerProfileEntity.providerSettings);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileId, omadacId, siteId, profileName, providerSettings);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ProviderProfileEntity {\n");
    
    sb.append("    profileId: ").append(toIndentedString(profileId)).append("\n");
    sb.append("    omadacId: ").append(toIndentedString(omadacId)).append("\n");
    sb.append("    siteId: ").append(toIndentedString(siteId)).append("\n");
    sb.append("    profileName: ").append(toIndentedString(profileName)).append("\n");
    sb.append("    providerSettings: ").append(toIndentedString(providerSettings)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

